/*  This file is a part of the program DNetStats.
    DNetStats a linux qt application to monitor network and initiate 
    autoshutdown when connection is cut or idle.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "netthread.h"


netthread::netthread()
{
        netstop=true;
}
void netthread::run()
{
	netstop=true;	
	netprocess();
}
void netthread::netprocess()
{
	//Setting up table
     
     while(netstop)
     {
     sysv=system("netstat -utnp >.tfdmp.ld 2>/dev/null");
     //sysv=system(" (netstat -t -n -p) |grep ESTABLISHED  >.tfdmp.ld 2>/dev/null");
        QFile nfile(".tfdmp.ld");
     if (!nfile.open(QIODevice::ReadOnly | QIODevice::Text))
                cerr<<"\ncan't find file chklog.txt\n";
     QTextStream netin(&nfile);
      //
      int i=0;     
      while (!nfile.atEnd())
      	{      	
         QString line = nfile.readLine();
         //QStringList list;
         list = line.split((QRegExp("\\s+")),QString::SkipEmptyParts);  
         if (list.contains("ESTABLISHED",Qt::CaseInsensitive))
         {
         row++;
         emit availlist(list);
         i++;
         //cout<< line.toLocal8Bit().constData() << endl;
          }
         }
        sleep(5);
        emit fileend();         
      }
   }
void netthread::stop()
{
netstop=false;
}

// place your code here
