/*  This file is a part of the program DNetStats.
    DNetStats a linux qt application to monitor network and initiate 
    autoshutdown when connection is cut or idle.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __NETTHREAD_H__
#define __NETTHREAD_H__
#include <stdlib.h>
#include <iostream>
#include <QThread>
#include <QObject>
#include <QStringList>
#include <QTextStream>
#include <QFile>
#include <QCloseEvent>
#include <QSystemTrayIcon>
 #include <QDateTime>
 #include <QMenu>



using namespace std;

class netthread : public QThread
{
Q_OBJECT
public:
  netthread();
  void netprocess();
  void stop();
  QStringList list;
  int row,column,rowcount,sysv;
  bool netstop;
protected:
    void run();
    
private:
    
signals:
    void availlist(const QStringList &);
    void fileend();
};

// place your code here

#endif // __NETTHREAD_H__
