/*  This file is a part of the program DNetStats.
    DNetStats a linux qt application to monitor network and initiate 
    autoshutdown when connection is cut or idle.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "ntmap.h"

 NtMapDialog::NtMapDialog(QWidget *parent)
    : QDialog(parent)
{
    setupUi(this);
    QRegExp regExp("[A-Za-z][1-9][0-9]{0,2}");
    //lineEdit->setValidator(new QRegExpValidator(regExp, this));
    connect(brefresh, SIGNAL(clicked()), this, SLOT(nrefresh()));
   connect(&nthread, SIGNAL(availlist(const QStringList &)), this, SLOT(ntmap_refresh(const QStringList &)));
   connect(&nthread, SIGNAL(fileend()), this, SLOT(fileendslot()));
   row=0;column=0,rowcount=1;
   //ntmap_refresh();
   tablenet->insertRow(2);
    
   nthread.start();
}



void NtMapDialog::ntmap_refresh(const QStringList list)
{
    
    //netprocess();
    //tablenet->clear();
			//tablenet->insertRow(1); 
			
		  tablenet->setRowCount(row+1);
          // cout<< list.at(6).toLocal8Bit().constData() << endl;
           newItem = new QTableWidgetItem(list.at(6),0);
           tablenet->setItem(row, column, newItem);
           newItem = new QTableWidgetItem(list.at(3),0);
           tablenet->setItem(row, column+1, newItem);
           newItem = new QTableWidgetItem(list.at(4),0);
           tablenet->setItem(row, column+2, newItem);
           //cout<< line.toLocal8Bit().constData() << endl;
    
    row++;
   
   
   this->show();
   //nthread.stop();
   //nthread.wait();
  
}
void NtMapDialog::nrefresh()
{   
	if(nthread.isRunning())
		{
		   //nthread.stop();
	       nthread.terminate();
	       nthread.wait();     
	       
         }
          this->close();
	       //this->destroy();
  }
void NtMapDialog::fileendslot()
{
	//tablenet->clear();
	//nthread.stop();
	tablenet->removeRow(tablenet->rowCount()); 
	tablenet->clearContents();
	row=0;
	rowcount=1;
}

 
void NtMapDialog::closeEvent(QCloseEvent *event)
{
    nthread.terminate();    
    nthread.wait();
       
    event->accept();     
    
    
}


// place your code here
